import * as v from 'valibot';
import type { InferModelTypes } from './model';
export declare namespace DcqlMdocPresentation {
    const model: import("./model").Model<v.ObjectSchema<{
        readonly docType: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlMdocPresentation = DcqlMdocPresentation.Model['Output'];
export declare namespace DcqlSdJwtVcPresentation {
    const model: import("./model").Model<v.ObjectSchema<{
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql").Json, import("./u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlSdJwtVcPresentation = DcqlSdJwtVcPresentation.Model['Output'];
export declare namespace DcqlW3cVcPresentation {
    const model: import("./model").Model<v.ObjectSchema<{
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql").Json, import("./u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlW3cVcPresentation = DcqlW3cVcPresentation.Model['Output'];
export declare namespace DcqlCredentialPresentation {
    const model: import("./model").Model<v.UnionSchema<[v.ObjectSchema<{
        readonly docType: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql").Json, import("./u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("./u-dcql").Json, import("./u-dcql").Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>], undefined>>;
    type Model = InferModelTypes<typeof model>;
}
export type DcqlCredentialPresentation = DcqlCredentialPresentation.Model['Output'];
//# sourceMappingURL=u-dcql-credential-presentation.d.ts.map