"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DcqlCredential = exports.DcqlW3cVcCredential = exports.DcqlSdJwtVcCredential = exports.DcqlMdocCredential = void 0;
const v = __importStar(require("valibot"));
const model_js_1 = require("./model.js");
const u_dcql_js_1 = require("./u-dcql.js");
var DcqlMdocCredential;
(function (DcqlMdocCredential) {
    DcqlMdocCredential.vNamespaces = v.record(v.string(), v.record(v.string(), v.unknown()));
    DcqlMdocCredential.vModel = v.object({
        docType: v.string(),
        namespaces: DcqlMdocCredential.vNamespaces,
    });
    DcqlMdocCredential.model = new model_js_1.Model({ vModel: DcqlMdocCredential.vModel });
})(DcqlMdocCredential || (exports.DcqlMdocCredential = DcqlMdocCredential = {}));
var DcqlSdJwtVcCredential;
(function (DcqlSdJwtVcCredential) {
    DcqlSdJwtVcCredential.vClaims = u_dcql_js_1.vJsonRecord;
    DcqlSdJwtVcCredential.vModel = v.object({
        vct: v.string(),
        claims: DcqlSdJwtVcCredential.vClaims,
    });
    DcqlSdJwtVcCredential.model = new model_js_1.Model({ vModel: DcqlSdJwtVcCredential.vModel });
})(DcqlSdJwtVcCredential || (exports.DcqlSdJwtVcCredential = DcqlSdJwtVcCredential = {}));
var DcqlW3cVcCredential;
(function (DcqlW3cVcCredential) {
    DcqlW3cVcCredential.vClaims = u_dcql_js_1.vJsonRecord;
    DcqlW3cVcCredential.vModel = v.object({
        claims: DcqlW3cVcCredential.vClaims,
    });
    DcqlW3cVcCredential.parse = (input) => {
        return v.parse(DcqlW3cVcCredential.vModel, input);
    };
})(DcqlW3cVcCredential || (exports.DcqlW3cVcCredential = DcqlW3cVcCredential = {}));
var DcqlCredential;
(function (DcqlCredential) {
    DcqlCredential.vModel = v.union([
        DcqlMdocCredential.vModel,
        DcqlSdJwtVcCredential.vModel,
        DcqlW3cVcCredential.vModel,
    ]);
    DcqlCredential.parse = (input) => {
        return v.parse(DcqlCredential.vModel, input);
    };
})(DcqlCredential || (exports.DcqlCredential = DcqlCredential = {}));
//# sourceMappingURL=u-dcql-credential.js.map